#include <Application.h>
#include <Window.h>
#include <Entry.h>


#ifndef __SCRIPT_VISUALIZER_APP__

class ScriptVisualizerApp : public BApplication
{
public:
	ScriptVisualizerApp (void);
	~ScriptVisualizerApp (void);

	virtual void	ReadyToRun		(void);
	virtual void	RefsReceived	(BMessage	*	a_message);
	virtual void	ArgvReceived	(int32 argc, char **argv);

	void 			ProcessRefs		(BMessage	*	a_message);
	void 			RunScript		(const entry_ref * a_ref);
	void			NameSafe		(BString * a_string);
	
private:
	bool	argv_received;
	bool	refs_received;
};

#define __SCRIPT_VISUALIZER_APP__
#endif
